Bug 1548282 (CVE-2018-1305)

Summary: CVE-2018-1305 tomcat: Late application of security constraints can lead to resource exposure for unauthorised users
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: alee, avibelli, bgeorges, bmaxwell, ccoleman, cdewolf, chazlett, cmoulliard, coolsvap, csutherl, darran.lofthouse, dedgar, dimitris, dmcphers, dosoudil, drieden, fgavrilo, gzaronik, hhorak, igueye, ivan.afonichev, java-sig-commits, jawilson, jbalunas, jclere, jdoyle, jgoulding, jolee, jondruse, jorton, jpallich, jschatte, jshepherd, jstastny, krzysztof.daniel, lgao, loleary, lthon, mbabacek, mhatanak, mizdebsk, mszynkie, myarboro, pgallagh, pgier, ppalaga, psakar, pslavice, rhcs-maint, rnetuka, rruss, rstancel, rsvoboda, spinder, theute, trogers, twalsh, vhalbert, vtunka, weli, yozone
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20180223,reported=20180223,source=internet,cvss3=4.8/CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N,cwe=CWE-284,fedora-all/tomcat=affected,epel-all/tomcat=affected,rhel-7/tomcat=affected,rhel-8/pki-servlet-container=notaffected,fuse-6/jbossweb=notaffected,fuse-6/karaf=notaffected,jbews-2/tomcat7=wontfix,jws-3/tomcat7=affected,jws-3/tomcat8=affected,jon-3/jbossweb=notaffected,jpp-6/jbossweb=wontfix,jdv-6/jbossweb=notaffected,jdg-6/jbossweb=notaffected,eap-6/jbossweb=notaffected,openshift-1/jbossweb=notaffected,rhscl-3/rh-java-common-tomcat=notaffected,rhel-6/tomcat6=notaffected,rhel-5/tomcat5=notaffected,jbews-2/tomcat6=notaffected,springboot-1/tomcat=affected,fis-2/tomcat8=affected
Fixed In Version: tomcat 7.0.85, tomcat 8.0.50, tomcat 8.5.28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-06 13:18:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1548283, 1548284, 1550282, 1550283, 1550284, 1552374    
Bug Blocks: 1548296    

Description Sam Fowler 2018-02-23 04:05:06 UTC
Apache Tomcat versions 7.0.0 to 7.0.84, 8.0.0.RC1 to 8.0.49 and 8.5.0 to 8.5.27 only apply security constraints defined by Servlets once those Servlets are loaded. Depending on the order that Servlets load, some security constraints may not be applied leading to unintended resource exposure.


External References:

https://tomcat.apache.org/security-7.html#Fixed_in_Apache_Tomcat_7.0.85
https://tomcat.apache.org/security-8.html#Fixed_in_Apache_Tomcat_8.0.50
https://tomcat.apache.org/security-8.html#Fixed_in_Apache_Tomcat_8.5.28


Upstream Fixes:

Tomcat 7.0.x:

http://svn.apache.org/viewvc?view=rev&rev=1823322
http://svn.apache.org/viewvc?view=rev&rev=1824360

Tomcat 8.0.x:

http://svn.apache.org/viewvc?view=rev&rev=1823319
http://svn.apache.org/viewvc?view=rev&rev=1824359

Tomcat 8.5.x:

http://svn.apache.org/viewvc?view=rev&rev=1823314
http://svn.apache.org/viewvc?view=rev&rev=1824358

Comment 1 Sam Fowler 2018-02-23 04:05:48 UTC
Created tomcat tracking bugs for this issue:

Affects: epel-all [bug 1548283]
Affects: fedora-all [bug 1548284]

Comment 5 Doran Moppert 2018-02-28 23:11:35 UTC
Created tomcat tracking bugs for this issue:

Affects: fedora-all [bug 1550284]
Affects: epel-all [bug 1550282]

Comment 10 errata-xmlrpc 2018-03-07 15:11:38 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2018:0465 https://access.redhat.com/errata/RHSA-2018:0465

Comment 11 errata-xmlrpc 2018-03-07 15:25:17 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 3 for RHEL 6
  Red Hat JBoss Web Server 3 for RHEL 7

Via RHSA-2018:0466 https://access.redhat.com/errata/RHSA-2018:0466

Comment 13 errata-xmlrpc 2018-05-03 17:06:11 UTC
This issue has been addressed in the following products:

  Red Hat Openshift Application Runtimes

Via RHSA-2018:1320 https://access.redhat.com/errata/RHSA-2018:1320

Comment 14 errata-xmlrpc 2018-10-17 19:28:34 UTC
This issue has been addressed in the following products:

  Red Hat Fuse Intergration Services 2.0 based on Fuse 6.3 R8

Via RHSA-2018:2939 https://access.redhat.com/errata/RHSA-2018:2939

Comment 16 Joshua Padman 2019-08-06 04:23:52 UTC
This vulnerability is out of security support scope for the following products:
 * Red Hat JBoss Web Server 3 
 * Red Hat JBoss Web Server 3 

Please refer to https://access.redhat.com/support/policy/updates/jboss_notes for more details.

Comment 17 errata-xmlrpc 2019-08-06 12:27:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:2205 https://access.redhat.com/errata/RHSA-2019:2205

Comment 18 Product Security DevOps Team 2019-08-06 13:18:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-1305